> ## Documentation Index
> Fetch the complete documentation index at: https://atlas-a61958e8.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Upsert Customer



## OpenAPI

````yaml https://zeus-api.atlas.so/openapi.json post /v1/customer/upsert
openapi: 3.1.0
info:
  title: Zeus public API
  description: Zeus public API Documentation
  version: '1'
servers:
  - url: https://zeus-api.atlas.so
    description: Zeus public API
security: []
paths:
  /v1/customer/upsert:
    post:
      tags:
        - Customer
      summary: Upsert Customer
      operationId: upsert_customer_v1_customer_upsert_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Customer'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/Customer'
                  - type: 'null'
                title: Response Upsert Customer V1 Customer Upsert Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer401: []
components:
  schemas:
    Customer:
      properties:
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        firstName:
          anyOf:
            - type: string
            - type: 'null'
          title: Firstname
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
        isVisitor:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Isvisitor
          description: If is a visitor, this is set to `true` in the response
          default: false
        userId:
          anyOf:
            - type: string
            - type: 'null'
          title: Userid
          description: Identifier for the customer in your system
        location:
          anyOf:
            - type: string
            - type: 'null'
          title: Location
        ip:
          anyOf:
            - type: string
            - type: 'null'
          title: Ip
        customFields:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Customfields
        phoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumber
        fields:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Fields
        account:
          anyOf:
            - $ref: '#/components/schemas/ChatbotAccount'
            - type: 'null'
        id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Id
        visitorId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Visitorid
          description: >-
            If the customer was a visitor previously, set this to the visitor's
            `id` to link the visitor to this customer
      type: object
      title: Customer
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ChatbotAccount:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        website:
          anyOf:
            - type: string
            - type: 'null'
          title: Website
        customFields:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Customfields
      type: object
      title: ChatbotAccount
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer401:
      type: http
      scheme: bearer

````